***************************************************
* Christopher Capurso
* christopher.capurso@villanova.edu 
* 
* Contains common initialization parameters necessary
* for simulation of the various gates.
***************************************************

***************************************************
* For optimal accuracy, convergence, and runtime,
* use the following options
***************************************************
.options POST
.options AUTOSTOP
.options INGOLD=2       DCON=1
.options GSHUNT=1e-12   RMIN=1e-15
.options ABSTOL=1e-5    ABSVDC=1e-4
.options RELTOL=1e-2    RELVDC=1e-2
.options NUMDGT=4       PIVOT=13

.param          TEMP=27

***************************************************
* Included relevant model files
***************************************************
.lib 'cnfet.lib' CNFET

***************************************************
* Beginning of circuit and device definitions
***************************************************
* Supplies and voltage params:
.param Supply=0.9

* Set some CNFET parameters:
.param Ccsd=0      CoupleRatio=0
.param m_cnt=1     Efo=0.6
.param Wg=0        Cb=40e-12
.param Lg=32e-9    Lgef=100e-9
.param Vfn=0       Vfp=0
.param m=19        n=0
.param Hox=4e-9    Kox=16
